Bug 499062 - live install backtrace
live install backtrace
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:8131f63832a6e4275...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 23:09 EDT by Jens Petersen
Modified: 2009-07-02 05:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 05:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (71.92 KB, text/plain)
2009-05-04 23:09 EDT, Jens Petersen
no flags Details

  None (edit)
Description Jens Petersen 2009-05-04 23:09:07 EDT
The following was filed automatically by anaconda:
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/isys.py", line 194, in umount
    rc = _isys.umount(what)
  File "/usr/lib/anaconda/storage/formats/fs.py", line 547, in unmount
    rc = isys.umount(self._mountpoint, removeDir = False)
  File "/usr/lib/anaconda/storage/formats/fs.py", line 730, in teardown
    return self.unmount(*args, **kwargs)
  File "/usr/lib/anaconda/storage/__init__.py", line 1662, in umountFilesystems
    device.format.teardown()
  File "/usr/lib/anaconda/livecd.py", line 163, in doPreInstall
    swapoff = False)
  File "/usr/lib/anaconda/backend.py", line 282, in doPreInstall
    anaconda.backend.doPreInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1330, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1351, in handleRenderCallback
    self.currentWindow.renderCallback()
SystemError: (2, None)
Comment 1 Jens Petersen 2009-05-04 23:09:13 EDT
Created attachment 342407 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-05-05 10:08:23 EDT
What release are you testing here?  This should be fixed by now, but if you're using something older like the beta then your live media won't have the fix.
Comment 3 Jens Petersen 2009-05-05 19:03:12 EDT
(In reply to comment #2)
> What release are you testing here?  This should be fixed by now, but if you're
> using something older like the beta then your live media won't have the fix.  

Heh - this is with a local live spin of rawhide from Saturday.
Comment 4 Chris Lumens 2009-05-29 11:13:04 EDT
We fixed this bug several times throughout this release cycle in anaconda, but we also discovered that a filesystem bug was giving us the same results.  I do believe it was fixed there as well.  Could you please test the final release and verify that this bug is well and truly dead?
Comment 5 Bug Zapper 2009-06-09 11:09:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jens Petersen 2009-07-02 05:13:08 EDT
Sorry didn't have a chance to test but assuming fixed.

Note You need to log in before you can comment on or make changes to this bug.